# setFieldValues()

`setFieldValues()` is updates the field values of the current user and saves the new data to our database. Pass in an object of the shape `{<fieldId>: <fieldValue>}` where `fieldId` can be either a form field or hidden field ID. If `fieldId` corresponds to a file upload field, `fieldValue` should be a [File](https://developer.mozilla.org/en-US/docs/Web/API/File) object. If `fieldId` corresponds to a signature field, `fieldValue` should be a [Base64](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/Data_URIs) PNG. Otherwise, `fieldValue` expects a string.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.feathery.io/develop/react/api-guide/setfieldvalues.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
